' This class is "generated" and will be overwritten.
' Your customizations should be made in SuppliersRecord.vb

Imports System.Data.SqlTypes
Imports BaseClasses
Imports BaseClasses.Data
Imports BaseClasses.Data.SqlProvider

Namespace Training1.Business

''' <summary>
''' The generated superclass for the <see cref="SuppliersRecord"></see> class.
''' </summary>
''' <remarks>
''' This class is not intended to be instantiated directly.  To obtain an instance of this class, 
''' use the methods of the <see cref="SuppliersTable"></see> class.
''' </remarks>
''' <seealso cref="SuppliersTable"></seealso>
''' <seealso cref="SuppliersRecord"></seealso>

<Serializable()> Public Class BaseSuppliersRecord
	Inherits PrimaryKeyRecord
	

	Public Shared Shadows ReadOnly TableUtils As SuppliersTable = SuppliersTable.Instance

	' Constructors
 
	Protected Sub New()
		MyBase.New(TableUtils)
	End Sub

	Protected Sub New(ByVal record As PrimaryKeyRecord)
		MyBase.New(record, TableUtils)
	End Sub







#Region "Convenience methods to get/set values of fields"

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.SupplierID field.
	''' </summary>
	Public Function GetSupplierIDValue() As ColumnValue
		Return Me.GetValue(TableUtils.SupplierIDColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.SupplierID field.
	''' </summary>
	Public Function GetSupplierIDFieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.SupplierIDColumn).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.CompanyName field.
	''' </summary>
	Public Function GetCompanyNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.CompanyNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.CompanyName field.
	''' </summary>
	Public Function GetCompanyNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CompanyNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.CompanyName field.
	''' </summary>
	Public Sub SetCompanyNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CompanyNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.CompanyName field.
	''' </summary>
	Public Sub SetCompanyNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CompanyNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.ContactName field.
	''' </summary>
	Public Function GetContactNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.ContactNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.ContactName field.
	''' </summary>
	Public Function GetContactNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ContactNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.ContactName field.
	''' </summary>
	Public Sub SetContactNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ContactNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.ContactName field.
	''' </summary>
	Public Sub SetContactNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ContactNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.ContactTitle field.
	''' </summary>
	Public Function GetContactTitleValue() As ColumnValue
		Return Me.GetValue(TableUtils.ContactTitleColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.ContactTitle field.
	''' </summary>
	Public Function GetContactTitleFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ContactTitleColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.ContactTitle field.
	''' </summary>
	Public Sub SetContactTitleFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ContactTitleColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.ContactTitle field.
	''' </summary>
	Public Sub SetContactTitleFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ContactTitleColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.Address field.
	''' </summary>
	Public Function GetAddressValue() As ColumnValue
		Return Me.GetValue(TableUtils.AddressColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.Address field.
	''' </summary>
	Public Function GetAddressFieldValue() As String
		Return CType(Me.GetValue(TableUtils.AddressColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.Address field.
	''' </summary>
	Public Sub SetAddressFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.AddressColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.Address field.
	''' </summary>
	Public Sub SetAddressFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.AddressColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.City field.
	''' </summary>
	Public Function GetCityValue() As ColumnValue
		Return Me.GetValue(TableUtils.CityColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.City field.
	''' </summary>
	Public Function GetCityFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CityColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.City field.
	''' </summary>
	Public Sub SetCityFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CityColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.City field.
	''' </summary>
	Public Sub SetCityFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CityColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.Region field.
	''' </summary>
	Public Function GetRegionValue() As ColumnValue
		Return Me.GetValue(TableUtils.RegionColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.Region field.
	''' </summary>
	Public Function GetRegionFieldValue() As String
		Return CType(Me.GetValue(TableUtils.RegionColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.Region field.
	''' </summary>
	Public Sub SetRegionFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RegionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.Region field.
	''' </summary>
	Public Sub SetRegionFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RegionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.PostalCode field.
	''' </summary>
	Public Function GetPostalCodeValue() As ColumnValue
		Return Me.GetValue(TableUtils.PostalCodeColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.PostalCode field.
	''' </summary>
	Public Function GetPostalCodeFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PostalCodeColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.PostalCode field.
	''' </summary>
	Public Sub SetPostalCodeFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PostalCodeColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.PostalCode field.
	''' </summary>
	Public Sub SetPostalCodeFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PostalCodeColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.Country field.
	''' </summary>
	Public Function GetCountryValue() As ColumnValue
		Return Me.GetValue(TableUtils.CountryColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.Country field.
	''' </summary>
	Public Function GetCountryFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CountryColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.Country field.
	''' </summary>
	Public Sub SetCountryFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CountryColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.Country field.
	''' </summary>
	Public Sub SetCountryFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CountryColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.Phone field.
	''' </summary>
	Public Function GetPhoneValue() As ColumnValue
		Return Me.GetValue(TableUtils.PhoneColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.Phone field.
	''' </summary>
	Public Function GetPhoneFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PhoneColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.Phone field.
	''' </summary>
	Public Sub SetPhoneFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PhoneColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.Phone field.
	''' </summary>
	Public Sub SetPhoneFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PhoneColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.Fax field.
	''' </summary>
	Public Function GetFaxValue() As ColumnValue
		Return Me.GetValue(TableUtils.FaxColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.Fax field.
	''' </summary>
	Public Function GetFaxFieldValue() As String
		Return CType(Me.GetValue(TableUtils.FaxColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.Fax field.
	''' </summary>
	Public Sub SetFaxFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.FaxColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.Fax field.
	''' </summary>
	Public Sub SetFaxFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.FaxColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.HomePage field.
	''' </summary>
	Public Function GetHomePageValue() As ColumnValue
		Return Me.GetValue(TableUtils.HomePageColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Suppliers_.HomePage field.
	''' </summary>
	Public Function GetHomePageFieldValue() As String
		Return CType(Me.GetValue(TableUtils.HomePageColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.HomePage field.
	''' </summary>
	Public Sub SetHomePageFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.HomePageColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Suppliers_.HomePage field.
	''' </summary>
	Public Sub SetHomePageFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.HomePageColumn)
	End Sub



#End Region

#Region "Convenience methods to get field names"

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.SupplierID field.
	''' </summary>
	Public Property SupplierID() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.SupplierIDColumn).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.SupplierIDColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property SupplierIDSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.SupplierIDColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property SupplierIDDefault() As String
        Get
            Return TableUtils.SupplierIDColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.CompanyName field.
	''' </summary>
	Public Property CompanyName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CompanyNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CompanyNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CompanyNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CompanyNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CompanyNameDefault() As String
        Get
            Return TableUtils.CompanyNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.ContactName field.
	''' </summary>
	Public Property ContactName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ContactNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ContactNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ContactNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ContactNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ContactNameDefault() As String
        Get
            Return TableUtils.ContactNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.ContactTitle field.
	''' </summary>
	Public Property ContactTitle() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ContactTitleColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ContactTitleColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ContactTitleSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ContactTitleColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ContactTitleDefault() As String
        Get
            Return TableUtils.ContactTitleColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.Address field.
	''' </summary>
	Public Property Address() As String
		Get 
			Return CType(Me.GetValue(TableUtils.AddressColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.AddressColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property AddressSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.AddressColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property AddressDefault() As String
        Get
            Return TableUtils.AddressColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.City field.
	''' </summary>
	Public Property City() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CityColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CityColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CitySpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CityColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CityDefault() As String
        Get
            Return TableUtils.CityColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.Region field.
	''' </summary>
	Public Property Region() As String
		Get 
			Return CType(Me.GetValue(TableUtils.RegionColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.RegionColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RegionSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RegionColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RegionDefault() As String
        Get
            Return TableUtils.RegionColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.PostalCode field.
	''' </summary>
	Public Property PostalCode() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PostalCodeColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PostalCodeColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PostalCodeSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PostalCodeColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PostalCodeDefault() As String
        Get
            Return TableUtils.PostalCodeColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.Country field.
	''' </summary>
	Public Property Country() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CountryColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CountryColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CountrySpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CountryColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CountryDefault() As String
        Get
            Return TableUtils.CountryColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.Phone field.
	''' </summary>
	Public Property Phone() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PhoneColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PhoneColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PhoneSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PhoneColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PhoneDefault() As String
        Get
            Return TableUtils.PhoneColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.Fax field.
	''' </summary>
	Public Property Fax() As String
		Get 
			Return CType(Me.GetValue(TableUtils.FaxColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.FaxColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property FaxSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.FaxColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property FaxDefault() As String
        Get
            Return TableUtils.FaxColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Suppliers_.HomePage field.
	''' </summary>
	Public Property HomePage() As String
		Get 
			Return CType(Me.GetValue(TableUtils.HomePageColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.HomePageColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property HomePageSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.HomePageColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property HomePageDefault() As String
        Get
            Return TableUtils.HomePageColumn.DefaultValue
        End Get
    End Property



#End Region

End Class
End Namespace
